Installation Media - Feature Request #1519
Bug # 803 (open): [EPIC]: grapichal installation for parabola LivelSOs

ISO installer LUKS support
2017-11-10 05:25 PM - Necklace

Status: fixed % Done: 0%
Priority: feature

Assignee: bill-auger

Category:

Description

Tried installing the Preview/Beta Systemd LXDE Dual (i686 and x86_64) ISO without encryption and it worked just fine.
Then, when | tried installing the Preview/Beta Systemd LXDE Dual (i686 and x86_64) ISO with FDE it failed.
See screenshot and logfile.

History

#1 - 2017-11-10 05:37 PM - bill-auger

that GUI error is meaningless - the important information is in the 'pkexec’ window

i have not tested it yet but i think that LUKS is not enabled for the graphical installer - for now you could try the command line
/home/parabola/install.sh script if you like

#2 - 2017-11-10 05:40 PM - bill-auger
- File deleted (2017-11-10-174845_1920x1080_scrot.png)

#3 - 2017-11-10 06:46 PM - Necklace
bill-auger wrote:

that GUI error is meaningless - the important information is in the 'pkexec' window

Huh.
i have not tested it yet but i think that LUKS is not enabled for the graphical installer - for now you could try the command line
/home/parabola/install.sh script if you like
That's interesting, the command line installer works but does not seem have an FDE option so | would need to set it up and configure it myself (and if
| were to do that | would just set up my system as | normally do anyway).
I think we can 'borrow’ (if the licenses allow it) some code from other calamares setups (I think manjaro has one, antergos probably too).

#4 - 2017-11-10 06:52 PM - bill-auger

almost surely no new code is needed - im nearly certain that encryption support is a compile-time option - it simply is not enabled - if the install script
does not support it, then that means no such feature ever existed - so this is not actually a bug but a feature request - duly noted thank you

#5 - 2017-11-10 06:53 PM - bill-auger
- Priority changed from bug to wish

- Subject changed from Preview/Beta Systemd LXDE Dual (i686 and x86_64) ISO throws traceback on install w/ FDE Enabled to ISO installer LUKS
support

#6 - 2017-11-11 05:07 PM - bill-auger

- Priority changed from wish to feature

#7 - 2017-11-19 04:43 AM - frostmonkey
Necklace wrote:

bill-auger wrote:

that GUI error is meaningless - the important information is in the 'pkexec' window
Huh.
i have not tested it yet but i think that LUKS is not enabled for the graphical installer - for now you could try the command line
/home/parabola/install.sh script if you like

That's interesting, the command line installer works but does not seem have an FDE option so | would need to set it up and configure it myself

(and if | were to do that | would just set up my system as | normally do anyway).

| think we can 'borrow’ (if the licenses allow it) some code from other calamares setups (I think manjaro has one, antergos probably too).

I love this idea! being able to do fde with gui = awesome.

#8 - 2017-11-22 01:58 PM - frostmonkey
bill-auger wrote:
almost surely no new code is needed - im nearly certain that encryption support is a compile-time option - it simply is not enabled - if the install

script does not support it, then that means no such feature ever existed - so this is not actually a bug but a feature request - duly noted thank you

please make an openrc Ixde iso with this if you can, the manjaro calameres would be awesome in an openrc Ixde iso.

#9 - 2018-06-29 06:32 AM - bill-auger
- Assignee set to bill-auger

- Tracker changed from Bug to Feature Request

#10 - 2018-06-29 06:32 AM - bill-auger

- Status changed from open to fixed

#11 - 2018-06-29 07:00 AM - bill-auger
- Parent task set to #803

Files

log.txt 33.3 KB 2017-11-10 Necklace
